#!/bin/bash

DOCROOT="/var/www/html/ipaccounting"
PREFIX="/usr/local/ipaccounting"
IPACC_USER="apache:apache"

echo "Instalace programu IPAccounting v1.2"
echo -n "Konroluji, zda mate nainstalovany potrebne programy.."
if [ ! -x /bin/bc ] && [ ! -x /usr/bin/bc ]; then
   echo ""
   echo "Nemate nainstalovan bc kalkulator !!"
fi
echo "Vytvarim potrebne adresare ...."
mkdir -p $DOCROOT
mkdir -p $DOCROOT/graph
mkdir -p $DOCROOT/rrd
mkdir -p $DOCROOT/web
mkdir -p $PREFIX
echo "Kopiruji soubory ...."
cp html/index.php $DOCROOT
cp html/cs.php $DOCROOT
cp html/no_diac.php $DOCROOT
cp html/rrd.php $DOCROOT
if [ -e $DOCROOT/prehled.php ]; then
  echo "Zachovavam prehled.php a kopiruji novy soubor do prehled.php.new"
  cp html/prehled.php $DOCROOT/prehled.php.new
else  
  cp html/prehled.php $DOCROOT/prehled.php
fi    
if [ ! -e $DOCROOT/ipaccounting.css ]; then
  cp html/ipaccounting.css $DOCROOT
fi  
cp ./ipaccounting.sh $PREFIX
cp ./ipaccounting-bc.sh $PREFIX
cp ./ipaccounting-bc.sh.quiet $PREFIX
cp ./ipacc-mod-table.sh $PREFIX
cp ./ipaccounting.sh.quiet $PREFIX

echo "Pridavam zapis do crona ...."

grep "ipaccounting" /etc/crontab &>/dev/null
res=$?

if [ ! $res -eq 0 ]; then
    echo >> /etc/crontab
    echo "0-55/5 * * * * root $PREFIX/ipaccounting.sh" >> /etc/crontab
fi
if [ ! -e $DOCROOT/data.txt ]; then
    echo "" > $DOCROOT/data.txt
fi
if [ ! -e $DOCROOT/data-daily.txt ]; then
    echo "" > $DOCROOT/data-daily.txt
fi
if [ ! -e $DOCROOT/data-weekly.txt ]; then
    echo "" > $DOCROOT/data-weekly.txt
fi
if [ ! -e $DOCROOT/data-monthly.txt ]; then
    echo "" > $DOCROOT/data-monthly.txt
fi
if [ ! -e $DOCROOT/data-yearly.txt ]; then
    echo "" > $DOCROOT/data-yearly.txt
fi
chown -R $IPACC_USER $DOCROOT
echo "Hotovo ;-)"
